Altibase.jdbc.driver

## Class ClientSideBlob

- java.lang.Object
- - Altibase.jdbc.driver.ClientSideLob
  - - Altibase.jdbc.driver.ClientSideBlob

All Implemented Interfaces:
  OutputStreamWatcher, java.sql.Blob

    public final class ClientSideBlob
    extends ClientSideLob
    implements java.sql.Blob, OutputStreamWatcher

### Field Summary

Fields
`static int` `TEMPORARY_BLOB_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ClientSideBlob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `finalizeStream(java.nio.ByteBuffer aBuffer, int aLastPos)`
`void` `free()`
`java.io.InputStream` `getBinaryStream()`
`java.io.InputStream` `getBinaryStream(long aPos, long aLength)`
`java.nio.ByteBuffer` `getBuffer()`
`byte[]` `getBytes(long aPos, int aLength)`
`long` `length()`
`long` `position(java.sql.Blob aPattern, long aStartPos)`
`long` `position(byte[] aPattern, long aStartPos)`
`java.io.OutputStream` `setBinaryStream(long aPos)`
`int` `setBytes(long aPos, byte[] aData)`
`int` `setBytes(long aPos, byte[] aData, int aOffset, int aLength)`
`void` `truncate(long aLength)`

### Methods inherited from class Altibase.jdbc.driver.ClientSideLob

`ensureIntRange, ensureOpen, setClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEMPORARY_BLOB_SIZE

    public static final int TEMPORARY_BLOB_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### ClientSideBlob

    public ClientSideBlob()

### Method Detail

#### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(long aPos,
                           int aLength)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### length

    public long length()
                throws java.sql.SQLException

Specified by:
  `length` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(byte[] aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.sql.Blob aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public java.io.OutputStream setBinaryStream(long aPos)
                                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes(long aPos,
                        byte[] aData)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes(long aPos,
                        byte[] aData,
                        int aOffset,
                        int aLength)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### truncate

    public void truncate(long aLength)
                  throws java.sql.SQLException

Specified by:
  `truncate` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### free

    public void free()
              throws java.sql.SQLException

Specified by:
  `free` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(long aPos,
                                               long aLength)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### getBuffer

    public java.nio.ByteBuffer getBuffer()

#### finalizeStream

    public void finalizeStream(java.nio.ByteBuffer aBuffer,
                               int aLastPos)

Specified by:
  `finalizeStream` in interface `OutputStreamWatcher`